@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Rye&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root
{
    --azul: #0d3d53;
    --branco: white;
    --cinza: #474747;
    --fundo_botao: #6c452d;
    --borda_botao: #c7683b;
    font-family: "Rye", serif;
    font-weight: 400;
    font-style: normal;
    /*font-family: "Inter", sans-serif;*/
    
}

body
{
    position: relative;
    display: flex;
    flex-direction: column;
    height: 100vh;
    height: 100dvh;
    padding: 0;
    margin: 0;
    overflow: hidden;
}

.contatos
{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0.5rem 15rem;
    background-color: var(--azul);
    color: var(--branco);
    font-size: 1rem;

}

.social-media
{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1.5rem;
    margin: 0;
    font-size: 1.6rem;
}

#icon-normal
{
    text-decoration: none;
    color: var(--branco);
}

#icon-background
{
    color: var(--azul);
    background-color: var(--branco);
    border-radius: 50%;
    padding: 2px 4px;
    font-size: 1.3rem;
}

.cabeçalho
{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    flex-shrink: 0;
    padding: 0 15rem;
}

.cabeçalho img
{
    max-height: 5rem;
}

.links-header
{
    display: flex;
    flex-direction: row;
    gap: 1rem;
    z-index: 1;
}

.menu-btn{
    padding: 1rem 1.4rem;
    border-radius: 1.5rem;
    cursor: pointer;
    transition: 0.3s all ease;
}

.menu-btn:hover{
    background-color: black;
    border-color: white;
    color: white;
}

.cabeçalho a
{
    text-align: center;
    text-decoration: none;
    color: var(--cinza);
    padding: 0.5rem;
}

.banner-logo, .subtitulo, .botao-agendar{
    opacity: 0 !important;
    transform: translateY(20px) !important;
    transition: transform 0.8s ease, opacity 0.8s ease !important;
}

.is-visible{
    opacity: 1 !important;
    transform: translateY(0) !important;
}

.banner
{
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    background-image: url(../img/Banner.jpg);
    background-size: cover; /* Dimensiona a imagem para cobrir a área */
    background-position:center; /* Centraliza a imagem */
    background-repeat: no-repeat; /* Evita a repetição da imagem */
    /* Defina uma altura para o section para que a imagem tenha onde ser exibida */
}

.filtro
{
    position: absolute;
    background-color: var(--azul);
    height: 100%;
    width: 100%;
    opacity: 70%;
    object-fit: cover;
}

.container-conetudo
{
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    /*z-index: 1;*/
    position: absolute;
    opacity: 0;
    z-index: 1;
}

.container-conetudo.ativo
{
    opacity: 1;
    z-index: 2;
}

.menus{
    position: relative;
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#menu2{
    justify-content:flex-start !important;
    width: 60%;
    max-height: 80dvh;
    overflow-y: auto;
    overflow-x: hidden;
    scrollbar-width: thin; 
    scrollbar-color: rgb(201, 173, 13) transparent;
    padding: 0 2rem;
}

#menu2.ativo{
    position: relative; 
}

.catalogo
{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(1,1fr);
    row-gap: 3rem;
}
/*
.catalogo
{
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-auto-rows: 20rem;
    column-gap: 10rem;
    row-gap: 5rem;
    margin: 1rem;

}
*/
.produto
{
    font-size: 2.5rem;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content:space-between;
    border-bottom: solid;
    color: rgb(201, 173, 13);
    border-image: linear-gradient(to right, rgba(255, 215, 0, 0.082), gold, rgba(255, 217, 0, 0.082)) 1;
}

.produto h3{

    font-weight: 100;
    color: white;
}

.banner img
{
    position: relative;
    height: 40%;
    margin-top: 2rem;

}

.subtitulo
{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: var(--branco);
    position: relative;
    margin-top: 1rem;
}

.subtitulo h1
{
    text-align: center;
    font-size: 3rem;
    font-weight: 400;
    margin: 0;
    
}

.subtitulo p
{
    text-align: center;
    font-size: 1.5rem;
    margin: 0;
}

.botao-agendar
{
    position: relative;
    text-decoration: none;
    border: solid;
    padding: 1rem 2rem;
    margin-top: 3rem;
    font-size: 1.2rem;
    color: var(--branco);
    background-color: var(--fundo_botao);
    border-color: var(--borda_botao);
    border-radius: 200px;
    transition: transform ease 0.4s;
    overflow: hidden;
}

.botao-agendar:hover
{
    box-shadow: 
    0 10px 20px rgba(198, 104, 59, 0.4),
    0 0 30px rgba(255, 255, 255, 0.3);
}

.botao-agendar::before
{
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: -100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.8), transparent);
}

.botao-agendar:hover::before
{
    animation: passar-luz 0.4s forwards;
}

/* Quando o mouse sai, simplesmente some */
.botao-agendar:not(:hover)::before {
    left: -100%; /* Mantém fora da tela */
}

.container-conetudo.slide-out {
    animation: slideOut 0.6s cubic-bezier(0.4, 0, 0.2, 1) forwards;
}

.container-conetudo.slide-in {
    animation: slideIn 0.6s cubic-bezier(0.4, 0, 0.2, 1) forwards;
}

@keyframes passar-luz {
    0% {
        left: -100%;
    }
    100% {
        left: 100%;
    }
}

@keyframes slideIn{
    0% {
        transform: translateX(var(--direcao-in, 100%));
        opacity: 0;
    }
    100%{
        transform: translateX(0%);
        opacity: 1;
    }
}

@keyframes slideOut{
    0% {
        transform: translateX(0%);
        opacity: 1;
    }
    100%{
        transform: translateX(var(--direcao-out, -100%));
        opacity: 0;
    }
}

.botao-agendar::after
{
    content: '';
    position: absolute;
    height: 200%;
    width: 200%;
    top: -50%;
    left: -50%;
    background: radial-gradient(circle,rgba(255, 255, 255, 0.2) 0%,
        rgba(255, 255, 255, 0.1) 25%,
        transparent 70%);
    opacity: 0;
    transform: scale(0);
    transition: transform 0.4s, opacity 0.5s;
}

.botao-agendar:hover::after
{
    opacity: 1;
    transform: scale(1);
}

/* RESPONSIVIDADE */

img { 
    max-width: 100%; 
    height: auto; 
}

/* Tablets */
@media (min-width: 481px) and (max-width: 1023px) {

    .contatos
    {
        padding: 0.2rem 0 !important;
    }

    .cabeçalho
    {
        padding: 0 10px !important;
    }

    .cabeçalho a
    {
        font-size: 3.3vw;
        padding: 0;
    }

    .cabeçalho img
    {
        max-height: 4.5rem;
    }
    
    .cabeçalho, .contatos{
        padding: 0;
    }

    .container-conetudo{
        padding: 1rem;
    }

    .banner img
    {
        position: relative;
        height: 30%;
        margin: 2rem 0;

    }

    .subtitulo{
        margin-bottom: 1rem;
    }

    .subtitulo h1
    {
        text-align: center;
        font-size: 1.5rem;
        margin: 0;
        
    }

    .subtitulo p
    {
        text-align: center;
        font-size: 1rem;
        margin: 0;
    }
    
    .botao-agendar
    {
        margin-top: 0rem;
    }

    #menu2{
        width: 95%;
    }

    .produto{
        font-size: 1.8rem;
    }
}

/* Celulares */
@media (max-width: 450px){
    .contatos
    {
        padding: 0.2rem 0.5rem !important;
    }

    .contatos p{
        font-size: 0.7rem;
    }

    .cabeçalho
    {
        padding: 0 10px !important;
    }

    .cabeçalho a
    {
        font-size: 3.3vw;
        padding: 0;
    }

    .cabeçalho img
    {
        max-height: 4.5rem;
    }
    
    .cabeçalho, .contatos{
        padding: 0;
    }

    .menu-btn{
        padding: 0.8rem 1rem;
        
    }

    .container-conetudo{
        padding: 1rem;
    }

    .banner img
    {
        position: relative;
        height: 30%;
        margin: 2rem 0;

    }

    .subtitulo{
        margin-bottom: 1rem;
    }

    .subtitulo h1
    {
        text-align: center;
        font-size: 1.2rem;
        margin: 0;
        
    }

    .subtitulo p
    {
        text-align: center;
        font-size: 0.9rem;
        margin: 0;
    }
    
    .botao-agendar
    {
        margin-top: 0rem;
    }

    #menu2{
        width: 95%;
        margin-top: 2rem;
    }

    .produto{
        font-size: 1.2rem;
    }
}


